#include<iostream>
#include<conio.h>
using namespace std;
class IntArrayNemudarProcessClass
{
	private :
		double x[15];
		int i;
		double GetMax()
		{
			double Max=0;
			for(i = 0; i < 15; i++)
			{
				if(x[i] > Max)
					Max = x[i];
			}
			return Max;
		}
		void Process()
		{
			double tmpMax;
			tmpMax = GetMax();
			//mohasebe mizan nomreye nemoodar
			for(i = 0; i < 15; i++)
				x[i] += 20 - tmpMax;
		}
	public :
		void SetIntArray()
		{
			for(i = 0; i < 15; i++)
				cin >> x[i];
		}
		void Display()
		{
			//mohasebe mizan nomreye nemoodar
			Process();
			for(i = 0; i < 15; i++)
				cout << x[i] << endl;
		}
};

int main()
{
	IntArrayNemudarProcessClass A;
	cout << "tedade 15 adad vared konid : ";
	//daryaft va mohasebe jame aedad
	A.SetIntArray();
	cout << "Natije : " << endl;
	//tagheer nomarat (ruye nemoodar bordan) va namayesh natije
	A.Display();
	getch();
}

